#include <iostream.h>
#include "RobotRunFileHelper.h"

int main()
{
	RobotRunFileHelper parser, fileWriter;
	char inputFilename[256] = "c:\\workarea\\sim_corridor1_noErr.run";
	char outputFilename[256] = "c:\\workarea\\sim_corridor1_noErr2.run";

	parser.parseFile(inputFilename);	

	cout<<"\nNumber of sonars = "<<parser.numSonars();

	cout<<"\nNumber of sonar readings = "<<parser.numSonarReadings();

	parser.resetSonarReadingIterator();

	SensorReading reading;
	SosPose pose;

	int counter = 0;
	int numSensors = parser.numSonars();

	cout<<"\nSonar readings are :"<<endl;
	while(parser.getNextSonarReading(reading))
	{
		fileWriter.pushSonarReading(reading);

		pose = reading.getPose();
		cout<<"\n"<<(counter++)<<":("<<pose.getX()<<","<<pose.getY()<<","<<pose.getTh()<<")";
		
		for(int i = 0; i< numSensors; i++)
		{
			cout<<" "<<reading.getRange(i);
		}
	}
	cout<<endl;

	cout<<"\nThe sonar poses are \n";

	parser.resetSonarPoseIterator();
	counter = 0;

	while(parser.getNextSonarPose(pose))
	{
		fileWriter.pushSonarPose(pose);

		cout<<"\n"<<(counter++)<<":("<<pose.getX()<<","<<pose.getY()<<","<<pose.getTh()<<")";
	}

	cout<<endl;

	fileWriter.writeToFile(outputFilename);
	
	return 0;
}